image: java:8-jdk

stages:
  - build
  - test

before_script:
  - echo `pwd`
  - echo "$CI_BUILD_NAME, $CI_BUILD_REF_NAME $CI_BUILD_STAGE"
  - export GRADLE_USER_HOME=`pwd`/.gradle

cache:
  paths:
    - .gradle/wrapper
    - .gradle/caches

build:
  stage: build
  script:
    - gradle assemble
  artifacts:
    paths:
      - build/libs/*.jar
    expire_in: 1 week
  only:
    - master

test:
  stage: test
  script:
    - gradle check
    - cat ./build/reports/jacoco/test/html/index.html

after_script:
  - echo "End CI"

